{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-181.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kinit-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmp0emww14e/kf5-kinit-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:44:53",
        "time-finished": "2024-07-03 13:46:38",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp0emww14e/kf5-kinit-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmp0emww14e/kf5-kinit-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/redhat-linux-build/CMakeFiles/CMakeScratch/TryCompile-fSE0li/HAVE_SYS_PSTAT_H.c",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 407 terminated by signal 15",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/redhat-linux-build/CMakeFiles/CMakeScratch/TryCompile-fSE0li/HAVE_SYS_PSTAT_H.c",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 404 terminated by signal 15",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/proctitle.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "36dfd5c2a9116089f55c2044a9da611171d5f87d",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘set_protection’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 56,
                    "column": 13,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   56 |             write(procfile, \"-300\", sizeof(\"-300\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   54|           procfile = open(buf, O_WRONLY);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   55|           if (enable) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   56|->             write(procfile, \"-300\", sizeof(\"-300\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   57|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58|               write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f7026cfafdb7a657c1586f3aec8f8da7616ffc6e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 58,
                    "column": 13,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58 |             write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   56|               write(procfile, \"-300\", sizeof(\"-300\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   57|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58|->             write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   59|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   60|           close(procfile);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "dff3f15337848f67aff0f5d3f65bb541f738d7d6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 76,
                    "column": 13,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 |             write(procfile, \"-5\", sizeof(\"-5\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   74|       if (procfile >= 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   75|           if (enable) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76|->             write(procfile, \"-5\", sizeof(\"-5\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   77|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   78|               write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f7026cfafdb7a657c1586f3aec8f8da7616ffc6e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 78,
                    "column": 13,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   78 |             write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76|               write(procfile, \"-5\", sizeof(\"-5\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   77|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   78|->             write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   79|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   80|           close(procfile);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "d5586c57618364d85cef09d4842dea514444028f",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘set_protection’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 56,
                    "column": 13,
                    "event": "warning[-Wanalyzer-fd-use-without-check]",
                    "message": "‘write’ on possibly invalid file descriptor ‘open(&buf, 1)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 46,
                    "column": 8,
                    "event": "note",
                    "message": "(1) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 47,
                    "column": 12,
                    "event": "note",
                    "message": "(2) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 54,
                    "column": 20,
                    "event": "note",
                    "message": "(3) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 55,
                    "column": 12,
                    "event": "note",
                    "message": "(4) following ‘true’ branch (when ‘enable != 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 56,
                    "column": 13,
                    "event": "note",
                    "message": "(5) ...to here (6) ‘open(&buf, 1)’ could be invalid: unchecked value from (3)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   54|           procfile = open(buf, O_WRONLY);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   55|           if (enable) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   56|->             write(procfile, \"-300\", sizeof(\"-300\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   57|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58|               write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "1d0fd94da2717528eacb04eb271fe5c640ddba97",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 58,
                    "column": 13,
                    "event": "warning[-Wanalyzer-fd-use-without-check]",
                    "message": "‘write’ on possibly invalid file descriptor ‘open(&buf, 1)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 46,
                    "column": 8,
                    "event": "note",
                    "message": "(1) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 47,
                    "column": 12,
                    "event": "note",
                    "message": "(2) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 50,
                    "column": 16,
                    "event": "note",
                    "message": "(3) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 54,
                    "column": 20,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 54,
                    "column": 20,
                    "event": "note",
                    "message": "(5) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 55,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch (when ‘enable == 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 58,
                    "column": 13,
                    "event": "note",
                    "message": "(7) ...to here (8) ‘open(&buf, 1)’ could be invalid: unchecked value from (5)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   56|               write(procfile, \"-300\", sizeof(\"-300\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   57|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58|->             write(procfile, \"0\", sizeof(\"0\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   59|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   60|           close(procfile);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "2b9c3218b7f63d33a775a794a5249ed591c34687",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 140,
                    "column": 34,
                    "event": "warning[-Wanalyzer-possible-null-dereference]",
                    "message": "dereference of possibly-NULL ‘env’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 85,
                    "column": 5,
                    "event": "note",
                    "message": "(1) entry to ‘main’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 9,
                    "event": "note",
                    "message": "(2) when ‘pipe’ succeeds",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 8,
                    "event": "note",
                    "message": "(3) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 18,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 8,
                    "event": "note",
                    "message": "(5) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 104,
                    "column": 5,
                    "event": "note",
                    "message": "(6) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 104,
                    "column": 5,
                    "event": "note",
                    "message": "(7) calling ‘set_protection’ from ‘main’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 39,
                    "column": 12,
                    "event": "note",
                    "message": "(8) entry to ‘set_protection’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 65,
                    "column": 8,
                    "event": "note",
                    "message": "(9) following ‘false’ branch (when ‘enable != 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 72,
                    "column": 5,
                    "event": "note",
                    "message": "(10) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 104,
                    "column": 5,
                    "event": "note",
                    "message": "(11) returning to ‘main’ from ‘set_protection’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 105,
                    "column": 5,
                    "event": "note",
                    "message": "(12) following ‘default:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 109,
                    "column": 5,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 12,
                    "event": "note",
                    "message": "(14) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 116,
                    "column": 9,
                    "event": "note",
                    "message": "(15) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 12,
                    "event": "note",
                    "message": "(16) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "(17) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 12,
                    "event": "note",
                    "message": "(18) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 126,
                    "column": 9,
                    "event": "note",
                    "message": "(19) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 12,
                    "event": "note",
                    "message": "(20) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "(21) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 16,
                    "event": "note",
                    "message": "(22) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 131,
                    "column": 21,
                    "event": "note",
                    "message": "(23) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 131,
                    "column": 21,
                    "event": "note",
                    "message": "(24) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 132,
                    "column": 44,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 132,
                    "column": 30,
                    "event": "note",
                    "message": "(26) this call could return NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 35,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 25,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 24,
                    "event": "note",
                    "message": "(29) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 139,
                    "column": 29,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 139,
                    "column": 29,
                    "event": "note",
                    "message": "(31) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 140,
                    "column": 47,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 140,
                    "column": 34,
                    "event": "note",
                    "message": "(33) ‘env + (long unsigned int)i * 8’ could be NULL: unchecked value from (26)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  138|                       if (read(0, &len, sizeof(unsigned)) == sizeof(unsigned)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|                               && len && len < (1 << 12)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|->                         env[ i ] = malloc(len + 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|                           if ((unsigned) read(0, env[ i ], len) == len) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|                               env[ i ][ len ] = '\\0';",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "592fc0f670d8a54c0bc61103b6355753cd0fa166",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 42,
                    "column": 9,
                    "event": "warning[-Wanalyzer-fd-use-without-check]",
                    "message": "‘dup2’ on possibly invalid file descriptor ‘0’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 28,
                    "column": 8,
                    "event": "note",
                    "message": "(1) following ‘false’ branch (when ‘argc != 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 31,
                    "column": 9,
                    "event": "note",
                    "message": "(2) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 31,
                    "column": 9,
                    "event": "note",
                    "message": "(3) when ‘pipe’ succeeds",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 31,
                    "column": 8,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 35,
                    "column": 13,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 35,
                    "column": 5,
                    "event": "note",
                    "message": "(6) following ‘default:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 39,
                    "column": 5,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 41,
                    "column": 9,
                    "event": "note",
                    "message": "(8) closed here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 42,
                    "column": 9,
                    "event": "note",
                    "message": "(9) ‘0’ could be invalid",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   40|           close(pipes[ 1 ]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41|           close(0);   /* stdin */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|->         dup2(pipes[ 0 ], 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|           close(pipes[ 0 ]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|           argv[ 0 ] = (char *)EXECUTE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "6380bfa9fa43c0002ae10dbc0c74c8d3c8a66078",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 52,
                    "column": 9,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   52 |         write(pipes[ 1 ], \"environ\", 7);   /* header, just in case */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   50|           int i;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   51|           close(pipes[ 0 ]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   52|->         write(pipes[ 1 ], \"environ\", 7);   /* header, just in case */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   53|           for (i = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   54|                   environ[ i ] != NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "33cfd0a304030052c7faef2952027c44a56e80ca",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 57,
                    "column": 9,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   57 |         write(pipes[ 1 ], &i, sizeof(int));    /* write count */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   55|                   ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   56|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   57|->         write(pipes[ 1 ], &i, sizeof(int));    /* write count */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58|           for (i = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   59|                   environ[ i ] != NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "d863d6f179cf550c763e047b0db95f94c36ad074",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 62,
                    "column": 13,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   62 |             write(pipes[ 1 ], &len, sizeof(int));    /* write length */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   60|                   ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   61|               int len = strlen(environ[ i ]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   62|->             write(pipes[ 1 ], &len, sizeof(int));    /* write length */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   63|               write(pipes[ 1 ], environ[ i ], strlen(environ[ i ]));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   64|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f84c181b2d4963dfb938aa76f3497b4d55313ca8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit_wrapper.c",
                    "line": 63,
                    "column": 13,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘write’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   63 |             write(pipes[ 1 ], environ[ i ], strlen(environ[ i ]));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   61|               int len = strlen(environ[ i ]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   62|               write(pipes[ 1 ], &len, sizeof(int));    /* write length */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   63|->             write(pipes[ 1 ], environ[ i ], strlen(environ[ i ]));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   64|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   65|           close(pipes[ 1 ]);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3ce38bffffcd433b54a2baaa98fec26660f5d920",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 154,
                    "column": 13,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'env'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "'argc' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'argc' is <= 1000",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 105,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to the 'default' case at line 109",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 131,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'count' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 131,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 132,
                    "column": 30,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 25,
                    "event": "note",
                    "message": "'i' is < 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 134,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 139,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'len' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 139,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 141,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 141,
                    "column": 25,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 148,
                    "column": 21,
                    "event": "note",
                    "message": "'ok' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 148,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 154,
                    "column": 13,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'env'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  152|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  153|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  154|->         if (argc == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  155|               return 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  156|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a398d2baa9d9a3d27f80a87cee1c7fdfeee13f1b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 160,
                    "column": 20,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'orig_environ'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "'argc' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'argc' is <= 1000",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 105,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to the 'default' case at line 109",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 131,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'count' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 131,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 130,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 132,
                    "column": 30,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 25,
                    "event": "note",
                    "message": "'i' is < 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 134,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 138,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 139,
                    "column": 29,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 135,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 148,
                    "column": 21,
                    "event": "note",
                    "message": "'ok' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 148,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 154,
                    "column": 13,
                    "event": "note",
                    "message": "'argc' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 154,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 159,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'new_argv' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 159,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 160,
                    "column": 20,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'orig_environ'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  158|           new_argv = malloc(sizeof(char *) * (new_argc + 1));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  159|           if (new_argv == NULL) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  160|->             return 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  161|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  162|           new_argv[ 0 ] = EXECUTE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2c59920300c10703efbead449880c0771c2671a0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 176,
                    "column": 9,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'new_argv'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 97,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "'argc' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'argc' is <= 1000",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 101,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 105,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to the 'default' case at line 109",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 112,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 118,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 122,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 128,
                    "column": 37,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 154,
                    "column": 13,
                    "event": "note",
                    "message": "'argc' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 154,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 158,
                    "column": 20,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 159,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'new_argv' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 159,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 167,
                    "column": 17,
                    "event": "note",
                    "message": "'i' is <= 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 166,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 167,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'i' is > 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 166,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 171",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 171,
                    "column": 13,
                    "event": "note",
                    "message": "'orig_environ' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 171,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/start_kdeinit/start_kdeinit.c",
                    "line": 176,
                    "column": 9,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'new_argv'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  174|               execv(EXECUTE, (char **)new_argv);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  175|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  176|->         perror(EXECUTE);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  177|           return 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  178|       case 0: /* child, keep privileges and do the privileged work */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "98c2195137682c3efa070904ab33217fac77cfbd",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘int main(int, char**)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1639,
                    "column": 14,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1639 |         write(d.initpipe[1], &c, 1); // Kdeinit is started.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~^~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1637|       if (d.initpipe[1] != -1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1638|           char c = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1639|->         write(d.initpipe[1], &c, 1); // Kdeinit is started.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1640|           close(d.initpipe[1]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1641|           d.initpipe[1] = -1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "facd8f97101f271717795b24fb00fdbb41ccf572",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘void sig_child_handler(int)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 659,
                    "column": 14,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  659 |         write(d.deadpipe[1], &c, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~^~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  657|            */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  658|           char c = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  659|->         write(d.deadpipe[1], &c, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  660|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  661|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "376f52d341197ddf7cca6740f363c99396e594ec",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘void init_kdeinit_socket()’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 766,
                    "column": 18,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  766 |             write(s, &request_header, sizeof(request_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  764|               request_header.cmd = LAUNCHER_TERMINATE_KDEINIT;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  765|               request_header.arg_length = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  766|->             write(s, &request_header, sizeof(request_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  767|               sleep(1); // Give it some time",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  768|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "65cea88aa102f3b589af12b1c6c7dfd0df33b670",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pid_t launch(int, const char*, const char*, const char*, int, const char*, bool, const char*, bool, const char*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 493,
                    "column": 24,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘int chdir(const char*)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  493 |             (void)chdir(cwd);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ~~~~~^~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  491|           // we still want to execute `foo` even if the chdir() failed.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  492|           if (cwd && *cwd) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  493|->             (void)chdir(cwd);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  494|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  495|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "06d601bb189ece61a25e1764a585aa898ab643e6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 560,
                    "column": 14,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  560 |         write(d.fd[1], &d.result, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~^~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  559|           d.result = 2; // Try execing",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  560|->         write(d.fd[1], &d.result, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  561|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  562|           // We set the close on exec flag.",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "06d601bb189ece61a25e1764a585aa898ab643e6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 574,
                    "column": 14,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  574 |         write(d.fd[1], &d.result, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~^~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  572|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  573|           d.result = 1; // Error",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  574|->         write(d.fd[1], &d.result, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  575|           close(d.fd[1]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  576|           exit(255);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "e17312b78c577e8cbe482597bf2dfc05cea5552e",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘void child_died(pid_t, int)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 244,
                    "column": 18,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  244 |             write(child->sock, &request_header, sizeof(request_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  242|               request_data[0] = exit_pid;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  243|               request_data[1] = exit_status;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  244|->             write(child->sock, &request_header, sizeof(request_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  245|               write(child->sock, request_data, request_header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  246|               close(child->sock);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f0a754da30fa555cdac7a7617ea9e3df2a20c123",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 245,
                    "column": 18,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  245 |             write(child->sock, request_data, request_header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  243|               request_data[1] = exit_status;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  244|               write(child->sock, &request_header, sizeof(request_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  245|->             write(child->sock, request_data, request_header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  246|               close(child->sock);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "59b4594a3b8303ab77688a9e4270b1027c140345",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘bool handle_launcher_request(int, const char*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1028,
                    "column": 18,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1028 |             write(sock, &response_header, sizeof(response_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1026|               response_header.arg_length = sizeof(response_data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1027|               response_data = pid;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1028|->             write(sock, &response_header, sizeof(response_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1029|               write(sock, &response_data, response_header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1030|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "21d707ed309f258f4aff06fa1c8236d5fe4bb5e3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1029,
                    "column": 18,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1029 |             write(sock, &response_data, response_header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1027|               response_data = pid;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1028|               write(sock, &response_header, sizeof(response_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1029|->             write(sock, &response_data, response_header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1030|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1031|               // add new child to list",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "59b4594a3b8303ab77688a9e4270b1027c140345",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1044,
                    "column": 18,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1044 |             write(sock, &response_header, sizeof(response_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1042|               response_header.cmd = LAUNCHER_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1043|               response_header.arg_length = l;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1044|->             write(sock, &response_header, sizeof(response_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1045|               if (l) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1046|                   write(sock, d.errorMsg.data(), l);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "5c23af8dc082a92b9fe5487cf909eaccedd62de7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1046,
                    "column": 22,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1046 |                 write(sock, d.errorMsg.data(), l);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                 ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1044|               write(sock, &response_header, sizeof(response_header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1045|               if (l) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1046|->                 write(sock, d.errorMsg.data(), l);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1047|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1048|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "be82088696042a0ac0f7411f90bdeab31221c6c4",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘void sig_handler(int)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 41,
                    "column": 10,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41 |     write(sigpipe[ 1 ], &tmp, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ~~~~~^~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   39|       fprintf(stderr, \"klauncher: Exiting on signal %d\\n\", sig_num);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   40|       char tmp = 'x';",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41|->     write(sigpipe[ 1 ], &tmp, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|   #endif",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e574f1e75d8efddadceabb8653c2b3ae3911b81f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 219,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'signotif'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 135,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'argc' is equal to 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 135,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 135,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 135,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 135,
                    "column": 55,
                    "event": "note",
                    "message": "Assuming 'launcherFd' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 135,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 162,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 163,
                    "column": 10,
                    "event": "note",
                    "message": "'wasQtNoGlibSet' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 163,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 172,
                    "column": 10,
                    "event": "note",
                    "message": "'wasQtNoGlibSet' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 172,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 177,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 179,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 179,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 185,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 189,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 189,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 190,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 206",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 213,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 213,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 217,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher_main.cpp",
                    "line": 219,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'signotif'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  217|       QSocketNotifier *signotif = new QSocketNotifier(sigpipe[ 0 ], QSocketNotifier::Read, launcher);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  218|       QObject::connect(signotif, SIGNAL(activated(int)), launcher, SLOT(destruct()));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  219|->     KCrash::setEmergencySaveFunction(sig_handler);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  220|       signal(SIGHUP, sig_handler);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  221|       signal(SIGPIPE, SIG_IGN);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "591a673194f6cec446264c81bd32a3944b754470",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘bool KLauncher::start_service(KService::Ptr, const QStringList&, const QStringList&, const QByteArray&, bool, const QDBusMessage&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.cpp",
                    "line": 705,
                    "column": 62,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘KService::DBusStartupType KService::dbusStartupType() const’ is deprecated: Since 5.102. No known users",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  705 |         request->dbus_startup_type = service->dbusStartupType();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                      ~~~~~~~~~~~~~~~~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KService/KService",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.h",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.cpp",
                    "line": 12,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KService/kservice.h",
                    "line": 203,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  203 |     DBusStartupType dbusStartupType() const;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  703|           request->dbus_name = QStringLiteral(\"org.kde.kioexec\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  704|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  705|->         request->dbus_startup_type = service->dbusStartupType();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  706|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  707|           if ((request->dbus_startup_type == KService::DBusUnique) ||",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "85551a0d2f21097dc67a31e4de7aaf41a707f2e1",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘pid_t KLauncher::requestSlave(const QString&, const QString&, const QString&, QString&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.cpp",
                    "line": 969,
                    "column": 46,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘QString KPluginLoader::fileName() const’ is deprecated: Since 5.86. Use QPluginLoader::fileName() instead, in case of complex query logic consider using KPluginLoader::findPlugins",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  969 |     QString slaveModulePath = loader.fileName();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                               ~~~~~~~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/KPluginLoader",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/klauncher/klauncher.cpp",
                    "line": 42,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginloader.h",
                    "line": 206,
                    "column": 13,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  206 |     QString fileName() const;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  967|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  968|       KPluginLoader loader(slaveModule);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  969|->     QString slaveModulePath = loader.fileName();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  970|       if (slaveModulePath.isEmpty()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  971|           error = i18n(\"Could not find the '%1' plugin.\\n\", slaveModule);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "cdf5e09a52c8542f8120f0ccfc9799e5d23b0ae0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 474,
                    "column": 13,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 273,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 278",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 278,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'p' is <= 'start'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 278,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 287,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 287,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 309,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 309,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 311,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 311,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 313,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 313,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 317,
                    "column": 9,
                    "event": "note",
                    "message": "'wrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 317,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 317,
                    "column": 20,
                    "event": "note",
                    "message": "'ext_wrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 317,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 317,
                    "column": 35,
                    "event": "note",
                    "message": "'kwrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 317,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 328,
                    "column": 9,
                    "event": "note",
                    "message": "'sock' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 328,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 334,
                    "column": 10,
                    "event": "note",
                    "message": "'wrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 334,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 334,
                    "column": 22,
                    "event": "note",
                    "message": "'ext_wrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 334,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 334,
                    "column": 38,
                    "event": "note",
                    "message": "'kwrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 334,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 353,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 353,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 356",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 356,
                    "column": 9,
                    "event": "note",
                    "message": "'wrapper' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 356,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 359,
                    "column": 9,
                    "event": "note",
                    "message": "'ext_wrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 359,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 359,
                    "column": 24,
                    "event": "note",
                    "message": "'kwrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 359,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 383,
                    "column": 10,
                    "event": "note",
                    "message": "'wrapper' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 383,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 391,
                    "column": 9,
                    "event": "note",
                    "message": "'wrapper' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 391,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 402,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 402,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 419",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 419,
                    "column": 9,
                    "event": "note",
                    "message": "'wrapper' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 419,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 424,
                    "column": 9,
                    "event": "note",
                    "message": "'ext_wrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 424,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 424,
                    "column": 24,
                    "event": "note",
                    "message": "'kwrapper' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 424,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 446,
                    "column": 10,
                    "event": "note",
                    "message": "'wrapper' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 446,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 451,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 451,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 461,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 466,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'cmd' is equal to LAUNCHER_OK",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 466,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 468,
                    "column": 27,
                    "event": "note",
                    "message": "Storing uninitialized value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 469,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 469,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 473,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'read_socket'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 104,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'bytes_left' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 104,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 115",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 473,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from 'read_socket'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/wrapper.cpp",
                    "line": 474,
                    "column": 13,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  472|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  473|           read_socket(sock, buffer, header.arg_length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  474|->         pid = *((long *) buffer);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  475|           if (!kwrapper) { /* kwrapper shouldn't print any output */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  476|               printf(\"Launched ok, pid = %ld\\n\", pid);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "34186bdb5da11cb5f39762407609f42e9175e74e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1496,
                    "column": 13,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'safe_argv'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1440,
                    "column": 34,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1441,
                    "column": 21,
                    "event": "note",
                    "message": "'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1441,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1443,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1443,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1446,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1446,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1451,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1451,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1454,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1454,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1457,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1457,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1460,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1460,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1463,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1463,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1469,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1469,
                    "column": 53,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1473,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1473,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1441,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1441,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1485",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1491,
                    "column": 9,
                    "event": "note",
                    "message": "'do_fork' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1491,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1495,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1495,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1496,
                    "column": 13,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'safe_argv'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1494|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1495|           if (pipe(d.initpipe) != 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1496|->             perror(\"kdeinit5: pipe failed\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1497|               return 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1498|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6329d7dd8a876ebe3c065672d3b1e1902b5baf26",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1616,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'pid' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kinit-5.115.0-build/kinit-5.115.0/src/kdeinit/kinit.cpp",
                    "line": 1616,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'pid' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1614|               // Ignore",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1615|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1616|->             pid = launch(1, safe_argv[i], nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1617|   #ifndef NDEBUG",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1618|               fprintf(stderr, \"kdeinit5: Launched '%s', pid = %ld result = %d\\n\", safe_argv[i], (long) pid, d.result);",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
